# -*- coding:Utf-8 -*-
import psyco
psyco.full()

def getTitle(title, options = {}):
    for option in options:
        title = string.replace(option, options[option])
    return title

def getSepList(separator):
    lines = []
    if isinstance(separator, str): lines = getSplitString(separator)
    else:
        try:
            for line in separator: lines += getSplitString(str(line))
        except TypeError: pass
    return lines

def getSplitString(string):
    return [line for line in str(string).split("\n") if line]

def getTotalPage(items):
    if items < 2: total = 1
    else:
        total = items / 7
        if items % 7 > 1: total += 1
    return total

def getItemsPage(current, pages, total):
    """ get count of item for a page """
    if current < pages: items = 7
    else: items = total - (current - 1) * 7
    return items
